﻿@model IEnumerable<OpenPosition>
@inject ApplicantService  applicantService;
@{
    ViewData["Title"] = "Opened Positions";
    string currentApplicantID = Context.Request.QueryString.Value.Replace("?applicantID=", "");
}


<h1>
    Opened Positions
    @if (User.IsInRole("Administrator"))
    {
        <a class="btn btn-success float-right" asp-action="Add"><i class="fa fa-user-plus"></i> Add new position</a>
    }
</h1>

<div class="table-responsive-lg">
    <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th>Options</th>
                <th>Code</th>
                <th>Title</th>
                <th>Responsibilities</th>
                <th>Needed</th>
                <th>Applied</th>
            </tr>
        </thead>
        <tbody>
            @if (Model.Any())
            {
                foreach (var position in Model)
                {
                    <tr>
                        <td>

                            @if (string.IsNullOrEmpty(currentApplicantID))
                            {
                                @if (User.IsInRole("Administrator"))
                                {
                                    <a asp-action="Edit" asp-route-id="@position.PositionCode"><i class="fa fa-pen text-warning"></i></a>
                                    <a asp-action="Details" asp-route-id="@position.PositionCode"><i class="fa fa-trash text-danger"></i></a>
                                }
                            }
                            else
                            {
                                if (!applicantService.Applied(int.Parse(currentApplicantID), position.PositionCode.Trim()))
                                {
                                    <form method="post" asp-action="ApplyPosition" asp-controller="Application">
                                        <input hidden name="PositionCode" value="@position.PositionCode.Trim()" />
                                        <input hidden name="ApplicantID" value="@currentApplicantID" />
                                        <button type="submit" class="btn btn-success">Apply</button>
                                    </form>
                                }
                                else
                                {
                                    <button disabled type="submit" class="btn btn-success"><i class="fa fa-check-circle"></i> Applied</button>
                                }

                            }



                        </td>
                        <td>@position.PositionCode</td>
                        <td>@position.Title</td>
                        <td>@position.Responsibilities</td>
                        <td>@position.TargetApplicants</td>
                        <td>@position.Applications.Count</td>
                    </tr>
                }
            }
            else
            {
                <tr>
                    <td colspan="100"><center>No records found!</center></td>
                </tr>
            }

        </tbody>
    </table>

</div>

